## transmission 2.84

=== debian/changelog ===
transmission (2.84-3ubuntu3) xenial; urgency=medium

  * debian/patches/lp1212835_changeset_14374: Take #14374 from upstream to
    make transmission-qt get an icon. (LP: #1212835)

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 21 Mar 2016 17:32:29 +0000

transmission (2.84-3ubuntu2) xenial; urgency=medium

  * debian/patches/update-glib-gettext.m4.patch:
    - Fix FTBFS due to outdated glib-gettext

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 16 Mar 2016 14:46:46 +1300

transmission (2.84-3ubuntu1) xenial; urgency=medium

  * debian/control:
    - restore the libappindicator3-dev build-depends, 
      it's needed for unity

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 15 Jan 2016 18:09:55 +0100

transmission (2.84-3) unstable; urgency=medium

  * [6b8bb2a] fix a SIGSEGV due to racing in list node allocation;
    Closes: #808333
  * [40ec5cb] remove libappindicator3-dev from b-d; Closes: #801299
  * [7ceb8fe] Fix black lines to be rendered when scrolling; Closes: #801300

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Jan 2016 17:54:56 +0000

transmission (2.84-2) unstable; urgency=medium

  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Aug 2015 18:01:47 +0100

transmission (2.84-1) experimental; urgency=medium

  * Acknowledge NMUs: thanks to Boris Pek, Thomas Goirand, Markus Koschany;
    Closes: #737366, #718624, #754982, #757365, #718624, #734467
  * [323b2ad] Set me as maintaner, Leo as uploader (with Leo's blessing)
  * [3eecf54] removed Bugs field, as it was causing bugs to be sent to upstream;
    Closes: #740944
  * [e5bd0af] drop gconf integration, no longer needed; Closes: #741069,
    #745936, #756823
  * [0432bb4] bump Standards-Version to 3.9.6 (no changes needed)
  * [fd2b694] transition to libsystemd-dev; Closes: #779760

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Apr 2015 11:21:31 +0100

transmission (2.84-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * transmission-daemon.postinst:
    - Change home directory of transmission-daemon to
      /var/lib/transmission-daemon from /home/debian-transmission.
      Thanks to Alex Peters for the report. (Closes: #734467)
    - Disable password authentication for debian-transmission user for
      improved security. Logins with e.g. SSH RSA keys are still possible.
    - Check existence of debian-transmission user with getent passwd
      debian-transmission instead of id.
  * Add transmission-daemon.preinst:
    - Fix permissions in /var/lib/transmission-daemon and use
      /var/lib/transmission-daemon as the new home directory.
    - Move old configuration files to appropriate config directory
      /var/lib/transmission-daemon/.config/transmission-daemon.
      All together this ensures that transmission-daemon will not segfault
      when systemd is the default init system.
      Thanks to Andrei Popescu and Antoine Legonidec for the report and
      additional tests. (Closes: #718624)
  * transmission-daemon.links:
    - Link settings.json from /etc/transmission-daemon/settings.json to
      /var/lib/transmission-daemon/.config/transmission-daemon.
    - Link /var/lib/transmission-daemon/.config/transmission-daemon to
      /var/lib/transmission-daemon/info due to compatibility reasons with
      the old sysv-rc init script settings.
  * transmission-daemon.dirs:
    - Do not create /var/lib/transmission-daemon/info anymore.

 -- Markus Koschany <apo@gambaru.de>  Wed, 10 Dec 2014 08:16:13 +0100

transmission (2.84-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release:
    - Fixes build with newer miniupnpc (Closes: #754982, #757365).
  * Ran wrap-and-sort.
  * Fix upstream service file (Closes: #718624).
  * Refresh fix_freebsd_quota_include.patch.
  * Minimum version of libminiupnpc-dev is now >= 1.9.
  * Removed debian/gbp.conf which imposes bzip2 when upstream releases source
    using xz compression.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Jul 2014 10:35:51 +0000

transmission (2.82-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * [36a95ac] bump policy to 3.9.5 (no changes)
  * [6f54782] use systemd only on linux systems
    Thanks to Peter Green (Closes: 737366)
  * [8e97c66] add build-dep on dh-autoreconf
  * [210734a] debian/rules: use dh with autoreconf instead of autotools-dev
    - fix re-configuring with automake >= 1.14
    - fix FTBFS on kFreeBSD systems
  * [14305bc] debian/changelog: fix lintian warning about wrong weekday
    (2013-09-15 is a Sunday)
  * [b7972f5] debian/control: fix lintian notes vcs-field-not-canonical
  * [539e32b] debian/transmission-daemon.init:
    fix lintian note init.d-script-missing-lsb-description
  * [b10417b] debian/transmission-daemon.postinst: fix lintian error
    maintainer-script-should-not-use-adduser-system-without-home
  * [09bac94] debian/control: fix lintian note
    capitalization-error-in-description GTK GTK+

 -- Boris Pek <tehnick@debian.org>  Sat, 15 Feb 2014 22:19:08 +0400

=== debian/control ===
Source: transmission
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Leo Costela <costela@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 8),
               dh-autoreconf,
               dh-systemd [linux-any],
               intltool (>= 0.40),
               libappindicator3-dev,
               libcurl4-gnutls-dev | libcurl4-dev | libcurl-dev,
               libevent-dev (>= 2.0),
               libglib2.0-dev,
               libgtk-3-dev,
               libminiupnpc-dev (>= 1.9),
               libnatpmp-dev (>= 20110808),
               libnotify-dev (>= 0.7),
               libssl-dev,
               libsystemd-dev [linux-any],
               qt5-default,
               qt5-qmake,
               qtbase5-dev,
               qttools5-dev-tools,
               zlib1g-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/transmission.git
Vcs-Git: git://anonscm.debian.org/collab-maint/transmission.git
Homepage: http://www.transmissionbt.com/

Package: transmission
Architecture: all
Depends: transmission-common (>= ${binary:Version}),
         transmission-gtk (>= ${binary:Version}) | transmission-qt (>= ${binary:Version}) | transmission-cli (>= ${binary:Version}),
         ${misc:Depends}
Description: lightweight BitTorrent client
 Transmission is a set of lightweight BitTorrent clients (in GUI, CLI
 and daemon form). All its incarnations feature a very simple, intuitive
 interface on top on an efficient, cross-platform back-end.
 .
 This is just a metapackage depending on one of the front-end
 alternatives

Package: transmission-common
Architecture: all
Depends: ${misc:Depends}
Replaces: transmission-gtk (<< 2.10-1)
Breaks: transmission-gtk (<< 2.10-1)
Description: lightweight BitTorrent client (common files)
 Transmission is a set of lightweight BitTorrent clients (in GUI, CLI
 and daemon form). All its incarnations feature a very simple, intuitive
 interface on top on an efficient, cross-platform back-end.
 .
 This package contains the common files for the different transmission
 versions.

Package: transmission-dbg
Architecture: any
Section: debug
Priority: extra
Depends: transmission-cli,
         transmission-common,
         transmission-daemon,
         transmission-gtk,
         transmission-qt,
         ${misc:Depends}
Description: lightweight BitTorrent client (debug symbols)
 Transmission is a set of lightweight BitTorrent clients (in GUI, CLI
 and daemon form). All its incarnations feature a very simple, intuitive
 interface on top on an efficient, cross-platform back-end.
 .
 This package contains the debug symbols for the different transmission
 executables. Most users won't need this, but please install it before
 submitting bugs with crashes.

Package: transmission-cli
Architecture: any
Depends: transmission-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: transmission-daemon (= ${binary:Version}),
          transmission-gtk (= ${binary:Version})
Replaces: transmission-daemon (<< 1.50-1)
Breaks: transmission-daemon (<< 1.50-1)
Description: lightweight BitTorrent client (command line programs)
 Transmission is a set of lightweight BitTorrent clients (in GUI, CLI
 and daemon form). All its incarnations feature a very simple, intuitive
 interface on top on an efficient, cross-platform back-end.
 .
 This package contains a (deprecated) stand-alone command-line client,
 transmission-remote to interface with transmission-daemon and tools to
 create, edit and inspect torrent files.

Package: transmission-gtk
Architecture: any
Depends: transmission-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: xdg-utils
Description: lightweight BitTorrent client (GTK+ interface)
 Transmission is a set of lightweight BitTorrent clients (in GUI, CLI
 and daemon form). All its incarnations feature a very simple, intuitive
 interface on top on an efficient, cross-platform back-end.
 .
 This package contains the GTK+ stand-alone client.

Package: transmission-qt
Architecture: any
Depends: transmission-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: xdg-utils
Description: lightweight BitTorrent client (Qt interface)
 Transmission is a set of lightweight BitTorrent clients (in GUI, CLI
 and daemon form). All its incarnations feature a very simple, intuitive
 interface on top on an efficient, cross-platform back-end.
 .
 This package contains the Qt stand-alone client.

Package: transmission-daemon
Architecture: any
Pre-Depends: adduser
Depends: lsb-base (>= 3.0),
         transmission-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: transmission-cli (<< 1.40-1)
Breaks: transmission-cli (<< 1.40-1)
Recommends: transmission-cli (>= 1.50-1)
Description: lightweight BitTorrent client (daemon)
 Transmission is a set of lightweight BitTorrent clients (in GUI, CLI
 and daemon form). All its incarnations feature a very simple, intuitive
 interface on top on an efficient, cross-platform back-end.
 .
 This package contains the transmission-daemon. For the associated
 transmission-remote, see the package transmission-cli.

=== debian/rules ===
#!/usr/bin/make -f

export V=1
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed,--no-undefined,--no-add-needed

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DH_EXTRA_ARGS := --with autoreconf

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifeq ($(DEB_HOST_ARCH_OS),linux)
	DH_EXTRA_ARGS += --with systemd
endif

%:
	dh $@ $(DH_EXTRA_ARGS)

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-cli --enable-daemon \
		--enable-external-natpmp
	# qt client has a separate build-system
	dh_auto_configure -Dqt

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -Dqt
	(cd qt && lrelease qtr.pro)

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean -Dqt
	rm -f qt/translations/*.qm

override_dh_installchangelogs:
	dh_installchangelogs -p transmission-common NEWS
override_dh_installdocs:
	dh_installdocs -p transmission-common
override_dh_installexamples:
	dh_installexamples -p transmission-common

override_dh_install:
	dh_install --list-missing -X LICENSE # extra copy in web dir - costela 2008-08-15

override_dh_auto_install:
	dh_auto_install
	dh_auto_install -Dqt -- INSTALL_ROOT=$(CURDIR)/debian/tmp/usr

override_dh_strip:
	dh_strip --dbg-package=transmission-dbg

override_dh_bugfiles:
	dh_bugfiles -A

## transmission 2.92

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
project(transmission)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckLibraryExists)
include(ExternalProject)
include(GNUInstallDirs)
include(TrMacros)

        option(ENABLE_DAEMON        "Build daemon" ON)
tr_auto_option(ENABLE_GTK           "Build GTK+ client" AUTO)
tr_auto_option(ENABLE_QT            "Build Qt client" AUTO)
        option(ENABLE_UTILS         "Build utils (create, edit, show)" ON)
        option(ENABLE_CLI           "Build command-line client" OFF)
        option(ENABLE_TESTS         "Build unit tests" ON)
        option(ENABLE_LIGHTWEIGHT   "Optimize libtransmission for low-resource systems: smaller cache size, prefer unencrypted peer connections, etc." OFF)
        option(ENABLE_UTP           "Build µTP support" ON)
        option(ENABLE_NLS           "Enable native language support" ON)
        option(INSTALL_DOC          "Build/install documentation" ON)
        option(INSTALL_LIB          "Install the library" OFF)
        option(USE_QT5              "Use Qt 5 (instead of default Qt 4)" OFF)
tr_auto_option(USE_SYSTEM_EVENT2    "Use system event2 library" AUTO)
tr_auto_option(USE_SYSTEM_DHT       "Use system dht library" AUTO)
tr_auto_option(USE_SYSTEM_MINIUPNPC "Use system miniupnpc library" AUTO)
tr_auto_option(USE_SYSTEM_NATPMP    "Use system natpmp library" AUTO)
tr_auto_option(USE_SYSTEM_UTP       "Use system utp library" AUTO)
tr_auto_option(USE_SYSTEM_B64       "Use system b64 library" AUTO)
tr_list_option(WITH_CRYPTO          "Use specified crypto library" AUTO openssl cyassl polarssl)
tr_auto_option(WITH_INOTIFY         "Enable inotify support (on systems that support it)" AUTO)
tr_auto_option(WITH_KQUEUE          "Enable kqueue support (on systems that support it)" AUTO)
tr_auto_option(WITH_SYSTEMD         "Add support for systemd startup notification (on systems that support it)" AUTO)

set(TR_NAME ${PROJECT_NAME})

# convention: -TR MAJOR MINOR MAINT STATUS - (each a single char)
# STATUS: "X" for prerelease beta builds,
#         "Z" for unsupported trunk builds,
#         "0" for stable, supported releases
# these should be the only two lines you need to change
set(TR_USER_AGENT_PREFIX "2.92")
set(TR_PEER_ID_PREFIX "-TR2920-")

string(REGEX MATCH "^([0-9]+)\\.([0-9]+).*" TR_VERSION "${TR_USER_AGENT_PREFIX}")
set(TR_VERSION_MAJOR "${CMAKE_MATCH_1}")
set(TR_VERSION_MINOR "${CMAKE_MATCH_2}")

if(TR_PEER_ID_PREFIX MATCHES "X-$")
    set(TR_BETA_RELEASE 1)
elseif(TR_PEER_ID_PREFIX MATCHES "Z-$")
    set(TR_NIGHTLY_RELEASE 1)
else()
    set(TR_STABLE_RELEASE 1)
endif()

set(TR_SCM_REVISION_FILE "${CMAKE_SOURCE_DIR}/REVISION")
set(TR_SCM_REVISION_RELIABLE ON)

if(IS_DIRECTORY ${CMAKE_SOURCE_DIR}/.svn)
    find_package(Subversion)
    if(Subversion_FOUND)
        Subversion_WC_INFO(${CMAKE_SOURCE_DIR} TR_SVN)
        set(TR_SCM_REVISION "${TR_SVN_WC_REVISION}")
    endif()
elseif(IS_DIRECTORY ${CMAKE_SOURCE_DIR}/.git)
    find_package(Git)
    if(GIT_FOUND)
        execute_process(
            COMMAND
                ${GIT_EXECUTABLE} rev-list --max-count=1 --abbrev-commit HEAD
            WORKING_DIRECTORY
                ${CMAKE_SOURCE_DIR}
            OUTPUT_VARIABLE
                TR_SCM_REVISION
            OUTPUT_STRIP_TRAILING_WHITESPACE
        )
    endif()
endif()

if("${TR_SCM_REVISION}" STREQUAL "" AND EXISTS "${TR_SCM_REVISION_FILE}")
    file(READ "${TR_SCM_REVISION_FILE}" TR_SCM_REVISION)
    string(STRIP "${TR_SCM_REVISION}" TR_SCM_REVISION)
endif()

if("${TR_SCM_REVISION}" STREQUAL "")
    # Give up and check the source files
    set(TR_SCM_REVISION 0)
    set(TR_SCM_REVISION_RELIABLE OFF)
    file(GLOB_RECURSE TR_ALL_SOURCES RELATIVE ${CMAKE_SOURCE_DIR} *.cc *.[chm] *.po)
    foreach(F ${TR_ALL_SOURCES})
        file(STRINGS ${F} F_ID REGEX "\\$Id:")
        if(F_ID MATCHES "\\$Id: [^ ]+ ([0-9]+) " AND CMAKE_MATCH_1 GREATER TR_SCM_REVISION)
            set(TR_SCM_REVISION ${CMAKE_MATCH_1})
        endif()
    endforeach()
endif()

if("${TR_SCM_REVISION}" STREQUAL "")
    set(TR_SCM_REVISION 0)
else()
    if(TR_SCM_REVISION_RELIABLE)
        file(WRITE "${TR_SCM_REVISION_FILE}" "${TR_SCM_REVISION}")
    else()
        file(REMOVE "${TR_SCM_REVISION_FILE}")
    endif()
endif()

set_property(GLOBAL PROPERTY USE_FOLDERS ON)

set(CURL_MINIMUM            7.15.4)
set(EVENT2_MINIMUM          2.0.10)
set(OPENSSL_MINIMUM         0.9.7)
set(CYASSL_MINIMUM          3.0)
set(POLARSSL_MINIMUM        1.2)
set(ZLIB_MINIMUM            1.2.3)
set(GTK_MINIMUM             3.4.0)
set(GLIB_MINIMUM            2.32.0)
set(GIO_MINIMUM             2.26.0)
set(LIBAPPINDICATOR_MINIMUM 0.4.90)

tr_github_upstream(EVENT2    libevent/libevent  c51b159cff 7be95856a39714dfd2218cb56415c990)
tr_github_upstream(NATPMP    miniupnp/libnatpmp cf7f452d66 f1e7d5bf580972738d8ef21743d0adf7)
tr_github_upstream(MINIUPNPC miniupnp/miniupnp  5de2bcb561 bdc5b64b9b8401d3524c50b9ec8173c1)
tr_github_upstream(DHT       jech/dht           cc379e406d 958253fafa01c59950d357c148aff090)
tr_github_upstream(UTP       bittorrent/libutp  7c4f19abdf 8b92aa05abec5f6675cdde6477cd6f51)
tr_github_upstream(B64       mikedld/libb64     c1e3323498 10128cb30ad768d2c4caf627e0f69db3)

if(WIN32)
    foreach(L C CXX)
        # Target version (Vista and up)
        set(CMAKE_${L}_FLAGS "${CMAKE_${L}_FLAGS} -DWINVER=0x0600 -D_WIN32_WINNT=0x0600")
        # Use Unicode API (although we always use W or A names explicitly)
        set(CMAKE_${L}_FLAGS "${CMAKE_${L}_FLAGS} -DUNICODE -D_UNICODE")
        # Ignore various deprecation and security warnings (at least for now)
        set(CMAKE_${L}_FLAGS "${CMAKE_${L}_FLAGS} -D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE -D_SCL_SECURE_NO_WARNINGS -D_WINSOCK_DEPRECATED_NO_WARNINGS")
        # Increase maximum FD_SET size
        set(CMAKE_${L}_FLAGS "${CMAKE_${L}_FLAGS} -DFD_SETSIZE=1024")
        if(MSVC)
            # Reduce noise (at least for now)
            set(CMAKE_${L}_FLAGS "${CMAKE_${L}_FLAGS} /wd4244 /wd4267")
        endif()

        if(MINGW)
            set(CMAKE_${L}_FLAGS "${CMAKE_${L}_FLAGS} -D__USE_MINGW_ANSI_STDIO=1")
        endif()
    endforeach()
endif()

find_package(Threads)
find_package(PkgConfig QUIET)

find_package(CURL ${CURL_MINIMUM} REQUIRED)

find_package(ICONV)

if(WITH_CRYPTO STREQUAL "AUTO" OR WITH_CRYPTO STREQUAL "openssl")
    tr_get_required_flag(WITH_CRYPTO OPENSSL_IS_REQUIRED)
    find_package(OpenSSL ${OPENSSL_MINIMUM} ${OPENSSL_IS_REQUIRED})
    tr_fixup_list_option(WITH_CRYPTO "openssl" OPENSSL_FOUND "AUTO" OPENSSL_IS_REQUIRED)
    if(WITH_CRYPTO STREQUAL "openssl")
        set(CRYPTO_PKG "openssl")
        set(CRYPTO_INCLUDE_DIRS ${OPENSSL_INCLUDE_DIR})
        set(CRYPTO_LIBRARIES ${OPENSSL_LIBRARIES})
    endif()
endif()
if(WITH_CRYPTO STREQUAL "AUTO" OR WITH_CRYPTO STREQUAL "cyassl")
    tr_get_required_flag(WITH_CRYPTO CYASSL_IS_REQUIRED)
    find_package(CyaSSL ${CYASSL_MINIMUM} ${CYASSL_IS_REQUIRED})
    tr_fixup_list_option(WITH_CRYPTO "cyassl" CYASSL_FOUND "AUTO" CYASSL_IS_REQUIRED)
    if(WITH_CRYPTO STREQUAL "cyassl")
        set(CRYPTO_PKG "cyassl")
        set(CRYPTO_INCLUDE_DIRS ${CYASSL_INCLUDE_DIRS})
        set(CRYPTO_LIBRARIES ${CYASSL_LIBRARIES})
    endif()
endif()
if(WITH_CRYPTO STREQUAL "AUTO" OR WITH_CRYPTO STREQUAL "polarssl")
    tr_get_required_flag(WITH_CRYPTO POLARSSL_IS_REQUIRED)
    find_package(PolarSSL ${POLARSSL_MINIMUM} ${POLARSSL_IS_REQUIRED})
    tr_fixup_list_option(WITH_CRYPTO "polarssl" POLARSSL_FOUND "AUTO" POLARSSL_IS_REQUIRED)
    if(WITH_CRYPTO STREQUAL "polarssl")
        set(CRYPTO_PKG "polarssl")
        set(CRYPTO_INCLUDE_DIRS ${POLARSSL_INCLUDE_DIRS})
        set(CRYPTO_LIBRARIES ${POLARSSL_LIBRARIES})
    endif()
endif()
# We should have found the library by now
if(CRYPTO_PKG STREQUAL "")
    if(WITH_CRYPTO STREQUAL "AUTO")
        message(FATAL_ERROR "Unable to find any supported crypto library.")
    else()
        message(FATAL_ERROR "Requested crypto library '${WITH_CRYPTO}' is not supported.")
    endif()
endif()

if(ENABLE_GTK)
    tr_get_required_flag(ENABLE_GTK GTK_IS_REQUIRED)

    pkg_check_modules(GTK ${GTK_IS_REQUIRED}
        gtk+-3.0>=${GTK_MINIMUM}
        glib-2.0>=${GLIB_MINIMUM}
        gio-2.0>=${GIO_MINIMUM}
        gmodule-2.0>=${GLIB_MINIMUM}
        gthread-2.0>=${GLIB_MINIMUM})

    tr_fixup_auto_option(ENABLE_GTK GTK_FOUND GTK_IS_REQUIRED)

    set(WITH_LIBAPPINDICATOR OFF)
    if(ENABLE_GTK)
        pkg_check_modules(LIBAPPINDICATOR appindicator3-0.1>=${LIBAPPINDICATOR_MINIMUM})
        if(LIBAPPINDICATOR_FOUND)
            set(WITH_LIBAPPINDICATOR ON)
        endif()
    endif()
endif()

if(ENABLE_QT)
    tr_get_required_flag(ENABLE_QT QT_IS_REQUIRED)

    if(POLICY CMP0020)
        cmake_policy(SET CMP0020 NEW)
    endif()

    set(QT_TARGETS)
    set(ENABLE_QT_COM_INTEROP OFF)
    set(ENABLE_QT_DBUS_INTEROP OFF)

    if(USE_QT5)
        set(QT5_REQUIRED_MODULES Core Gui Widgets Network LinguistTools)
        set(QT5_OPTIONAL_MODULES DBus AxContainer AxServer)
        foreach(M ${QT5_REQUIRED_MODULES})
            find_package(Qt5${M} QUIET)
            if(Qt5${M}_FOUND)
                if(NOT M STREQUAL "LinguistTools")
                    list(APPEND QT_TARGETS Qt5::${M})
                endif()
            else()
                set(QT_TARGETS)
                break()
            endif()
        endforeach()
        if(QT_TARGETS)
            foreach(M ${QT5_OPTIONAL_MODULES})
                find_package(Qt5${M} QUIET)
                if(Qt5${M}_FOUND)
                    list(APPEND QT_TARGETS Qt5::${M})
                endif()
            endforeach()
            if(Qt5AxContainer_FOUND AND Qt5AxServer_FOUND)
                set(ENABLE_QT_COM_INTEROP ON)
            endif()
            if(Qt5DBus_FOUND)
                set(ENABLE_QT_DBUS_INTEROP ON)
            endif()
        endif()
    else()
        set(QT4_REQUIRED_MODULES QtCore QtGui QtNetwork)
        set(QT4_OPTIONAL_MODULES QtDBus QAxContainer QAxServer)
        find_package(Qt4 4.6.2 QUIET COMPONENTS ${QT4_REQUIRED_MODULES} OPTIONAL_COMPONENTS ${QT4_OPTIONAL_MODULES})
        foreach(M ${QT4_REQUIRED_MODULES})
            string(TOUPPER "${M}" M_UPPER)
            if(QT_${M_UPPER}_FOUND)
                list(APPEND QT_TARGETS Qt4::${M})
            else()
                set(QT_TARGETS)
                break()
            endif()
        endforeach()
        if (QT_TARGETS)
            foreach(M ${QT4_OPTIONAL_MODULES})
                string(TOUPPER "${M}" M_UPPER)
                if(QT_${M_UPPER}_FOUND)
                    list(APPEND QT_TARGETS Qt4::${M})
                endif()
            endforeach()
            if(QT_QAXCONTAINER_FOUND AND QT_QAXSERVER_FOUND)
                set(ENABLE_QT_COM_INTEROP ON)
            endif()
            if(QT_QTDBUS_FOUND)
                set(ENABLE_QT_DBUS_INTEROP ON)
            endif()
        endif()
    endif()

    if(ENABLE_QT_COM_INTEROP)
        find_program(MIDL_EXECUTABLE midl)
        if(NOT MIDL_EXECUTABLE)
            set(ENABLE_QT_COM_INTEROP OFF)
        endif()
    endif()

    set(QT_FOUND ON)
    if(NOT QT_TARGETS OR NOT (ENABLE_QT_COM_INTEROP OR ENABLE_QT_DBUS_INTEROP))
        if(QT_IS_REQUIRED)
            message(FATAL_ERROR "Unable to find required Qt libraries.")
        endif()
        set(QT_FOUND OFF)
    endif()

    tr_fixup_auto_option(ENABLE_QT QT_FOUND QT_IS_REQUIRED)
endif()

find_package(ZLIB ${ZLIB_MINIMUM})
if(ZLIB_FOUND)
    add_definitions(-DHAVE_ZLIB)
endif()

set(THIRD_PARTY_DIR ${CMAKE_SOURCE_DIR}/third-party)

if(WIN32)
    tr_add_external_auto_library(EVENT2 event
        PATCH_COMMAND "${CMAKE_COMMAND}" -E copy "${THIRD_PARTY_DIR}/event2.cmake" "<SOURCE_DIR>/CMakeLists.txt"
              COMMAND "${CMAKE_COMMAND}" -E chdir "<SOURCE_DIR>" patch -p1 -i "${THIRD_PARTY_DIR}/event2-01-win32.patch"

=== gtk/CMakeLists.txt ===
project(trgtk)

if(WITH_LIBAPPINDICATOR)
    add_definitions(-DHAVE_LIBAPPINDICATOR)
endif()

execute_process(
    COMMAND
        ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_resources
    OUTPUT_VARIABLE
        GLIB_COMPILE_RESOURCES_EXECUTABLE
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

if(NOT GLIB_COMPILE_RESOURCES_EXECUTABLE)
    message(SEND_ERROR "Unable to find glib-compile-resources executable")
endif()

add_custom_command(
    OUTPUT
        ${CMAKE_CURRENT_BINARY_DIR}/transmission-resources.c
        ${CMAKE_CURRENT_BINARY_DIR}/transmission-resources.h
    COMMAND
        ${GLIB_COMPILE_RESOURCES_EXECUTABLE}
        --target=${CMAKE_CURRENT_BINARY_DIR}/transmission-resources.c
        --sourcedir=${CMAKE_CURRENT_SOURCE_DIR}
        --generate-source
        --c-name transmission
        transmission.gresource.xml
    COMMAND
        ${GLIB_COMPILE_RESOURCES_EXECUTABLE}
        --target=${CMAKE_CURRENT_BINARY_DIR}/transmission-resources.h
        --sourcedir=${CMAKE_CURRENT_SOURCE_DIR}
        --generate-header
        --c-name transmission
        transmission.gresource.xml
    DEPENDS
        icons/hicolor_apps_24x24_transmission.png
        icons/hicolor_apps_48x48_transmission.png
        icons/lock.png
        icons/ratio.png
        icons/turtle-blue.png
        icons/turtle-grey.png
        icons/utilities.png
        transmission.gresource.xml
        transmission-ui.xml
    WORKING_DIRECTORY
        ${CMAKE_CURRENT_SOURCE_DIR}
)

if(ENABLE_NLS)
    find_program(INTLTOOL_MERGE_EXECUTABLE intltool-merge REQUIRED)
    set(${PROJECT_NAME}_DESKTOP_FILE "${PROJECT_BINARY_DIR}/${TR_NAME}-gtk.desktop")
    add_custom_command(
        OUTPUT ${${PROJECT_NAME}_DESKTOP_FILE}
        COMMAND ${INTLTOOL_MERGE_EXECUTABLE} --desktop-style --utf8 ${CMAKE_SOURCE_DIR}/po ${PROJECT_SOURCE_DIR}/transmission-gtk.desktop.in ${${PROJECT_NAME}_DESKTOP_FILE}
        DEPENDS ${PROJECT_SOURCE_DIR}/transmission-gtk.desktop.in
        VERBATIM
    )
endif()

set(${PROJECT_NAME}_SOURCES
    actions.c
    conf.c
    details.c
    dialogs.c
    favicon.c
    file-list.c
    filter.c
    hig.c
    icons.c
    main.c
    makemeta-ui.c
    msgwin.c
    notify.c
    open-dialog.c
    relocate.c
    stats.c
    torrent-cell-renderer.c
    tr-core.c
    tr-icon.c
    tr-prefs.c
    tr-window.c
    util.c
    ${CMAKE_CURRENT_BINARY_DIR}/transmission-resources.c
)

set(${PROJECT_NAME}_HEADERS
    actions.h
    conf.h
    details.h
    dialogs.h
    favicon.h
    file-list.h
    filter.h
    hig.h
    icons.h
    makemeta-ui.h
    msgwin.h
    notify.h
    open-dialog.h
    relocate.h
    stats.h
    torrent-cell-renderer.h
    tr-core.h
    tr-icon.h
    tr-prefs.h
    tr-window.h
    util.h
    ${CMAKE_CURRENT_BINARY_DIR}/transmission-resources.h
)

include_directories(
    ${CMAKE_SOURCE_DIR}
    ${PROJECT_BINARY_DIR}
    ${LIBAPPINDICATOR_INCLUDE_DIRS}
    ${GTK_INCLUDE_DIRS}
    ${CURL_INCLUDE_DIRS}
    ${EVENT2_INCLUDE_DIRS}
)

link_directories(
    ${GTK_LIBRARY_DIRS}
)

add_definitions(
    "-DTRANSMISSIONLOCALEDIR=\"${CMAKE_INSTALL_FULL_LOCALEDIR}\""
    "-DGETTEXT_PACKAGE=\"${TR_NAME}-gtk\""
    -DG_DISABLE_DEPRECATED
    -DGDK_PIXBUF_DISABLE_DEPRECATED
    -DGDK_DISABLE_DEPRECATED
    # FIXME: migrate from GtkUIManager to GtkBuilder in 2.90
    # -DGTK_DISABLE_DEPRECATED
    -DPANGO_DISABLE_DEPRECATED
    # FIXME: these break libnotify's headers
    # -DG_DISABLE_SINGLE_INCLUDES
    # -DGTK_DISABLE_SINGLE_INCLUDES
    ${GTK_CFLAGS_OTHER}
)

tr_win32_app_info(${PROJECT_NAME}_WIN32_RC_FILE
    "Transmission GTK+ Client"
    "${TR_NAME}-gtk"
    "${TR_NAME}-gtk.exe"
    "${TR_NAME}.ico")

add_executable(${TR_NAME}-gtk WIN32
    ${${PROJECT_NAME}_SOURCES}
    ${${PROJECT_NAME}_HEADERS}
    ${${PROJECT_NAME}_DESKTOP_FILE}
    ${${PROJECT_NAME}_WIN32_RC_FILE}
)

target_link_libraries(${TR_NAME}-gtk
    ${TR_NAME}
    ${LIBAPPINDICATOR_LIBRARIES}
    ${GTK_LIBRARIES}
    ${CURL_LIBRARIES}
    ${EVENT2_LIBRARIES}
)

if(MSVC)
    tr_append_target_property(${TR_NAME}-gtk LINK_FLAGS "/ENTRY:mainCRTStartup")
endif()

install(TARGETS ${TR_NAME}-gtk DESTINATION ${CMAKE_INSTALL_BINDIR})

set(${PROJECT_NAME}_PUBLIC_ICONS
    hicolor_apps_16x16_transmission.png
    hicolor_apps_22x22_transmission.png
    hicolor_apps_24x24_transmission.png
    hicolor_apps_32x32_transmission.png
    hicolor_apps_48x48_transmission.png
    hicolor_apps_256x256_transmission.png
    hicolor_apps_scalable_transmission.svg
)

set(ICON_NAME_REGEX "^([^_]+)_([^_]+)_([^_]+)_(.+)$")
foreach(ICON ${${PROJECT_NAME}_PUBLIC_ICONS})
    string(REGEX REPLACE ${ICON_NAME_REGEX} "\\1/\\3/\\2" ICON_DIR ${ICON})
    string(REGEX REPLACE ${ICON_NAME_REGEX} "\\4" ICON_NAME ${ICON})
    install(FILES icons/${ICON} DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/${ICON_DIR}/ RENAME ${ICON_NAME})
endforeach()

if(INSTALL_DOC)
    install(FILES ${TR_NAME}-gtk.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
endif()

if(ENABLE_NLS)
    install(FILES ${${PROJECT_NAME}_DESKTOP_FILE} DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
else()
    install(FILES transmission-gtk.desktop.in DESTINATION ${CMAKE_INSTALL_DATADIR}/applications RENAME ${TR_NAME}-gtk.desktop)
endif()

=== libtransmission/CMakeLists.txt ===
project(libtr)

configure_file(version.h.in version.h)

set(${PROJECT_NAME}_SOURCES
    announcer.c
    announcer-http.c
    announcer-udp.c
    bandwidth.c
    bitfield.c
    blocklist.c
    cache.c
    clients.c
    completion.c
    ConvertUTF.c
    crypto.c
    crypto-utils.c
    crypto-utils-cyassl.c
    crypto-utils-fallback.c
    crypto-utils-openssl.c
    crypto-utils-polarssl.c
    error.c
    fdlimit.c
    file.c
    file-posix.c
    file-win32.c
    handshake.c
    history.c
    inout.c
    list.c
    log.c
    magnet.c
    makemeta.c
    metainfo.c
    natpmp.c
    net.c
    peer-io.c
    peer-mgr.c
    peer-msgs.c
    platform.c
    platform-quota.c
    port-forwarding.c
    ptrarray.c
    quark.c
    resume.c
    rpcimpl.c
    rpc-server.c
    session.c
    stats.c
    torrent.c
    torrent-ctor.c
    torrent-magnet.c
    tr-dht.c
    trevent.c
    tr-getopt.c
    tr-lpd.c
    tr-udp.c
    tr-utp.c
    upnp.c
    utils.c
    variant-benc.c
    variant.c
    variant-json.c
    verify.c
    watchdir.c
    watchdir-generic.c
    watchdir-inotify.c
    watchdir-kqueue.c
    watchdir-win32.c
    web.c
    webseed.c
    wildmat.c
)

set_source_files_properties(crypto-utils-fallback.c PROPERTIES HEADER_FILE_ONLY ON)
foreach(CP cyassl openssl polarssl)
    if(NOT CP STREQUAL CRYPTO_PKG)
        set_source_files_properties(crypto-utils-${CP}.c PROPERTIES HEADER_FILE_ONLY ON)
    endif()
endforeach()

if(WITH_INOTIFY)
    add_definitions(-DWITH_INOTIFY)
else()
    set_source_files_properties(watchdir-inotify.c PROPERTIES HEADER_FILE_ONLY ON)
endif()

if(WITH_KQUEUE)
    add_definitions(-DWITH_KQUEUE)
else()
    set_source_files_properties(watchdir-kqueue.c PROPERTIES HEADER_FILE_ONLY ON)
endif()

if(WIN32)
    set_source_files_properties(file-posix.c PROPERTIES HEADER_FILE_ONLY ON)
else()
    set_source_files_properties(file-win32.c watchdir-win32.c PROPERTIES HEADER_FILE_ONLY ON)
endif()

set(${PROJECT_NAME}_PUBLIC_HEADERS
    error.h
    error-types.h
    file.h
    log.h
    makemeta.h
    quark.h
    rpcimpl.h
    tr-getopt.h
    transmission.h
    utils.h
    variant.h
    watchdir.h
    web.h
    ${PROJECT_BINARY_DIR}/version.h
)

set(${PROJECT_NAME}_PRIVATE_HEADERS
    announcer-common.h
    announcer.h
    bandwidth.h
    bitfield.h
    blocklist.h
    cache.h
    clients.h
    completion.h
    ConvertUTF.h
    crypto.h
    crypto-utils.h
    fdlimit.h
    handshake.h
    history.h
    inout.h
    list.h
    magnet.h
    metainfo.h
    natpmp_local.h
    net.h
    peer-common.h
    peer-io.h
    peer-mgr.h
    peer-msgs.h
    platform.h
    platform-quota.h
    port-forwarding.h
    ptrarray.h
    resume.h
    rpc-server.h
    session.h
    stats.h
    torrent.h
    torrent-magnet.h
    tr-dht.h
    trevent.h
    tr-lpd.h
    tr-udp.h
    tr-utp.h
    upnp.h
    variant-common.h
    verify.h
    version.h
    watchdir-common.h
    webseed.h
)

if(NOT ENABLE_UTP)
    set_source_files_properties(tr-utp.c PROPERTIES HEADER_FILE_ONLY ON)
endif()

add_definitions(
    -D__TRANSMISSION__
    "-DPACKAGE_DATA_DIR=\"${CMAKE_INSTALL_FULL_DATAROOTDIR}\""
    ${NATPMP_DEFINITIONS}
    ${MINIUPNPC_DEFINITIONS}
)

if(ENABLE_LIGHTWEIGHT)
    add_definitions(-DTR_LIGHTWEIGHT)
endif()

if(NOT ENABLE_NLS)
    add_definitions(-DDISABLE_GETTEXT)
endif()

if(ENABLE_UTP)
    add_definitions(-DWITH_UTP)
endif()

if(MINIUPNPC_VERSION VERSION_LESS 1.7)
    # API version macro was only added in 1.7
    add_definitions(-DMINIUPNPC_API_VERSION=${MINIUPNPC_API_VERSION})
endif()

if(USE_SYSTEM_B64)
    add_definitions(-DUSE_SYSTEM_B64)
endif()

include_directories(
    ${PROJECT_SOURCE_DIR}
    ${PROJECT_BINARY_DIR}
    ${ZLIB_INCLUDE_DIRS}
    ${CRYPTO_INCLUDE_DIRS}
    ${CURL_INCLUDE_DIRS}
    ${EVENT2_INCLUDE_DIRS}
    ${NATPMP_INCLUDE_DIRS}
    ${MINIUPNPC_INCLUDE_DIRS}
    ${DHT_INCLUDE_DIRS}
    ${UTP_INCLUDE_DIRS}
    ${B64_INCLUDE_DIRS}
)

if(ICONV_FOUND)
    include_directories(${ICONV_INCLUDE_DIRS})
endif()

if(ENABLE_UTP)
    include_directories(${TP_TOP}/libutp)
endif()

add_library(${TR_NAME} STATIC
    ${${PROJECT_NAME}_SOURCES}
    ${${PROJECT_NAME}_PUBLIC_HEADERS}
    ${${PROJECT_NAME}_PRIVATE_HEADERS}
)

foreach(UT ${EVENT2_UPSTREAM_TARGET}
           ${NATPMP_UPSTREAM_TARGET}
           ${MINIUPNPC_UPSTREAM_TARGET}
           ${DHT_UPSTREAM_TARGET}
           ${UTP_UPSTREAM_TARGET}
           ${B64_UPSTREAM_TARGET})
    add_dependencies(${TR_NAME} ${UT})
endforeach()

target_link_libraries(${TR_NAME}
    ${CMAKE_THREAD_LIBS_INIT}
    ${ZLIB_LIBRARIES}
    ${CRYPTO_LIBRARIES}
    ${CURL_LIBRARIES}
    ${EVENT2_LIBRARIES}
    ${NATPMP_LIBRARIES}
    ${MINIUPNPC_LIBRARIES}
    ${DHT_LIBRARIES}
    ${UTP_LIBRARIES}
    ${B64_LIBRARIES}
    ${LIBINTL_LIBRARY}
    ${LIBM_LIBRARY}
)

if(ICONV_FOUND)
    target_link_libraries(${TR_NAME} ${ICONV_LIBRARIES})
endif()

if(WIN32)
    target_link_libraries(${TR_NAME} iphlpapi ws2_32)
endif()

if(ENABLE_TESTS)
    add_library(${TR_NAME}-test STATIC
        libtransmission-test.c
        libtransmission-test.h
    )

    target_link_libraries(${TR_NAME}-test ${TR_NAME})
    set_property(TARGET ${TR_NAME}-test PROPERTY FOLDER "UnitTests")

    set(crypto-test_ADD_SOURCES crypto-test-ref.h)

    set(watchdir@generic-test_DEFINITIONS WATCHDIR_TEST_FORCE_GENERIC)

    foreach(T bitfield blocklist clients crypto error file history json magnet metainfo move peer-msgs quark rename rpc session
              tr-getopt utils variant watchdir watchdir@generic)
        set(TP ${TR_NAME}-test-${T})
        if(T MATCHES "^([^@]+)@.+$")
            string(REPLACE "@" "_" TP "${TP}")
            set(${TP}_TEST_BASENAME "${CMAKE_MATCH_1}")
        else()
            set(${TP}_TEST_BASENAME "${T}")
        endif()
        add_executable(${TP} ${${TP}_TEST_BASENAME}-test.c ${${T}-test_ADD_SOURCES})
        target_link_libraries(${TP} ${TR_NAME} ${TR_NAME}-test)
        if(DEFINED ${T}-test_DEFINITIONS)
            target_compile_definitions(${TP} PRIVATE ${${T}-test_DEFINITIONS})
        endif()
        add_test(NAME ${T} COMMAND ${TP})
        set_property(TARGET ${TP} PROPERTY FOLDER "UnitTests")
    endforeach()
endif()

if(INSTALL_LIB)
    install(TARGETS ${TR_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR})
    install(FILES ${${PROJECT_NAME}_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${TR_NAME})
endif()

=== po/CMakeLists.txt ===
project(trpo)

set(${PROJECT_NAME}_LINGUAS
    an
    ar
    ast
    az
    be
    be@latin
    bg
    bn
    bo
    br
    bs
    ca
    ca@valencia
    ceb
    ckb
    cs
    da
    de
    el
    en_AU
    en_CA
    en_GB
    eo
    es
    et
    eu
    fa
    fi
    fil
    fo
    fr
    ga
    gl
    gv
    he
    hi
    hr
    hu
    hy
    ia
    id
    is
    it
    ja
    ka
    kk
    ko
    ku
    ky
    li
    lt
    lv
    mk
    ml
    mr
    ms
    mt
    my
    nb
    nds
    nl
    nn
    oc
    pa
    pl
    pt
    pt_BR
    ro
    ru
    si
    sk
    sl
    sq
    sr
    sv
    sw
    ta_LK
    te
    th
    tl
    tr
    ur
    ug
    uk
    uz
    vi
    zh_CN
    zh_TW
)

set(GETTEXT_PACKAGE ${TR_NAME}-gtk)

if(ENABLE_NLS)
    set(${PROJECT_NAME}_ENABLED_LINGUAS ${${PROJECT_NAME}_LINGUAS})
else()
    set(${PROJECT_NAME}_ENABLED_LINGUAS)
endif()

set(${PROJECT_NAME}_MO_FILES)
foreach(LANG ${${PROJECT_NAME}_ENABLED_LINGUAS})
    set(msgfmt_INPUT_FILE ${LANG}.po)
    set(msgfmt_OUTPUT_FILE ${CMAKE_CURRENT_BINARY_DIR}/${GETTEXT_PACKAGE}-${LANG}.mo)

    add_custom_command(
        OUTPUT
            ${msgfmt_OUTPUT_FILE}
        COMMAND
            ${GETTEXT_MSGFMT_EXECUTABLE}
            --output-file=${msgfmt_OUTPUT_FILE}
            ${msgfmt_INPUT_FILE}
        WORKING_DIRECTORY
            ${CMAKE_CURRENT_SOURCE_DIR}
        DEPENDS
            ${msgfmt_INPUT_FILE}
    )

    list(APPEND ${PROJECT_NAME}_MO_FILES ${msgfmt_OUTPUT_FILE})

    install(FILES ${msgfmt_OUTPUT_FILE} DESTINATION ${CMAKE_INSTALL_LOCALEDIR}/${LANG}/LC_MESSAGES/ RENAME ${GETTEXT_PACKAGE}.mo)
endforeach()

if(${PROJECT_NAME}_MO_FILES)
    add_custom_target(${GETTEXT_PACKAGE}-po ALL DEPENDS ${${PROJECT_NAME}_MO_FILES})
endif()

=== debian/changelog ===
transmission (2.92-0mx150+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Note that the Qt version is disabled, remove any Qt build-depends.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sat, 16 Apr 2016 20:18:40 -0700

transmission (2.92-1) unstable; urgency=medium

  * Build for Debian 8

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Tue, 08 Mar 2016 15:04:49 +0900

transmission (2.92-0ubuntu0.15.10.1) wily; urgency=medium

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Mon, 07 Mar 2016 18:50:33 +0100

transmission (2.90-0ubuntu0.15.10.2) wily; urgency=medium

  * Rebuild for Wily

 -- Andreas Noteng <andreas@noteng.no>  Tue, 01 Mar 2016 22:14:22 +0100

transmission (2.90-0ubuntu0.15.10.1) precise; urgency=medium

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Tue, 01 Mar 2016 21:11:57 +0100

transmission (2.84-0ubuntu0.12.04.1) precise; urgency=medium

  * Backport to Precise

 -- Andreas Noteng <andreas@noteng.no>  Tue, 08 Jul 2014 15:19:46 +0200

transmission (2.84-0ubuntu0.14.10.1) utopic; urgency=medium

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Tue, 08 Jul 2014 14:56:39 +0200

transmission (2.83-0ubuntu0.12.04.2) precise; urgency=medium

  * Disable support for QT client

 -- Andreas Noteng <andreas@noteng.no>  Sat, 24 May 2014 12:18:24 +0200

transmission (2.83-0ubuntu0.12.04.1) precise; urgency=medium

  * Backport to Precise

 -- Andreas Noteng <andreas@noteng.no>  Sat, 24 May 2014 12:12:38 +0200

transmission (2.83-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream release
  * Rebase on official Ubuntu packages

 -- Andreas Noteng <andreas@noteng.no>  Sat, 24 May 2014 12:12:08 +0200

transmission (2.82-0ubuntu0.13.10.3) saucy; urgency=low

  * Rebuild with QT5 support 

 -- Andreas Noteng <andreas@noteng.no>  Mon, 12 Aug 2013 20:07:51 +0200

transmission (2.82-0ubuntu0.12.04.2) precise; urgency=low

  * Backport to Precise

 -- Andreas Noteng <andreas@noteng.no>  Sun, 11 Aug 2013 21:17:56 +0200

transmission (2.82-0ubuntu0.13.10.2) saucy; urgency=low

  * Revert QT5 support

 -- Andreas Noteng <andreas@noteng.no>  Sun, 11 Aug 2013 08:43:55 +0200

transmission (2.82-0ubuntu0.12.04.1) precise; urgency=low

  * Backport to Precise
  * Remove patch to build with older glib, fixed upstream

 -- Andreas Noteng <andreas@noteng.no>  Sat, 10 Aug 2013 10:23:21 +0200

transmission (2.82-0ubuntu0.13.10.1) saucy; urgency=low

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Sat, 10 Aug 2013 10:11:44 +0200

transmission (2.81-0ubuntu0.12.04.5) precise; urgency=low

  * Patch in upstrean rev 14142 to support older versions of glib

 -- Andreas Noteng <andreas@noteng.no>  Mon, 29 Jul 2013 22:11:42 +0200

transmission (2.81-0ubuntu0.12.04.1) precise; urgency=low

  * Backport to Precise

 -- Andreas Noteng <andreas@noteng.no>  Sat, 20 Jul 2013 08:28:15 +0200

transmission (2.81-0ubuntu0.13.10.1) saucy; urgency=low

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Fri, 19 Jul 2013 18:12:20 +0200

transmission (2.80-0ubuntu0.12.10.1) precise; urgency=low

  * Backport to Precise

 -- Andreas Noteng <andreas@noteng.no>  Sat, 06 Jul 2013 21:09:57 +0200

transmission (2.80-0ubuntu0.13.10.2) saucy; urgency=low

  * Remove liblaunchpad-integration-3.0-dev dependency 

 -- Andreas Noteng <andreas@noteng.no>  Tue, 02 Jul 2013 22:53:30 +0200

transmission (2.80-0ubuntu0.13.10.1) saucy; urgency=low

  * New upstream release
  * Updated watch file

 -- Andreas Noteng <andreas@noteng.no>  Tue, 02 Jul 2013 22:21:28 +0200

transmission (2.77-0ubuntu0.12.10.1) precise; urgency=low

  * Backport to Precise

 -- Andreas Noteng <andreas@noteng.no>  Tue, 19 Feb 2013 21:58:11 +0100

transmission (2.61-0ubuntu0.12.04.1) precise; urgency=low

  * Backport to Precise

 -- Andreas Noteng <andreas@noteng.no>  Sun, 29 Jul 2012 14:58:55 +0200

transmission (2.60-0ubuntu0.12.04.1) precise; urgency=low

  * Backport to precise

 -- Andreas Noteng <andreas@noteng.no>  Fri, 06 Jul 2012 22:01:45 +0200

transmission (2.52-0ubuntu0.12.04.1) precise; urgency=low

  * Backport to Precise

 -- Andreas Noteng <andreas@noteng.no>  Sun, 20 May 2012 01:09:29 +0200

transmission (2.50-0ubuntu0.11.10.3) oneiric; urgency=low

  * Backport to Oneiric.

 -- Andreas Noteng <andreas@noteng.no>  Thu, 23 Feb 2012 14:03:45 +0100

transmission (2.50-0ubuntu0.11.10.2) oneiric; urgency=low

  * Backport to Oneiric

 -- Andreas Noteng <andreas@noteng.no>  Wed, 22 Feb 2012 17:46:47 +0100

=== debian/control ===
Source: transmission
Section: net
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Aleksey Samoilov <samoilov.lex@gmail.com>
Build-Depends: debhelper (>= 9),
                  cmake (>= 2.8.12),
                  autotools-dev,
                  dh-autoreconf,
                  libgtk-3-dev,
                  libevent-dev (>= 2.0),
                  libglib2.0-dev,
                  libnotify-dev (>= 0.7),
                  libssl-dev,
                  libcurl4-gnutls-dev | libcurl4-dev | libcurl-dev, 
                  intltool (>= 0.40), 
                  libminiupnpc-dev (>= 1.6),
                  libnatpmp-dev (>= 20110808),
                  libappindicator3-dev
Standards-Version: 3.9.7
Vcs-Browser: https://code.launchpad.net/~transmissionbt
Vcs-Bzr: lp:~transmissionbt/transmission/
Homepage: http://www.transmissionbt.com/

Package: transmission
Architecture: all
Depends: transmission-gtk (>= ${binary:Version}) | transmission-cli (>= ${binary:Version}), transmission-common (>= ${binary:Version}), ${misc:Depends}
Description: lightweight BitTorrent client
 Transmission is a set of lightweight BitTorrent clients (in GUI, CLI
 and daemon form). All its incarnations feature a very simple, intuitive 
 interface on top on an efficient, cross-platform back-end.
 .
 This is just a metapackage depending on one of the front-end
 alternatives

Package: transmission-common
Architecture: all
Depends: ${misc:Depends}
# because of the usr/share/icons move to -common
Replaces: transmission-gtk (<< 2.10-1)
Breaks: transmission-gtk (<< 2.10-1)
Description: lightweight BitTorrent client (common files)
 Transmission is a set of lightweight BitTorrent clients (in GUI, CLI
 and daemon form). All its incarnations feature a very simple, intuitive
 interface on top on an efficient, cross-platform back-end.
 .
 This package contains the common files for the different transmission 
 versions.

Package: transmission-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, transmission-cli, transmission-gtk, transmission-qt, transmission-daemon, transmission-common
Description: lightweight BitTorrent client (debug symbols)
 Transmission is a set of lightweight BitTorrent clients (in GUI, CLI
 and daemon form). All its incarnations feature a very simple, intuitive
 interface on top on an efficient, cross-platform back-end.
 .
 This package contains the debug symbols for the different transmission
 clients.

Package: transmission-cli
Architecture: any
Depends: ${shlibs:Depends}, transmission-common (= ${source:Version}), ${misc:Depends}
Suggests: transmission-daemon (= ${binary:Version}), transmission-gtk (= ${binary:Version})
Replaces: transmission-daemon (<< 1.50-1)
Breaks: transmission-daemon (<< 1.50-1)
Description: lightweight BitTorrent client (command line programs)
 Transmission is a set of lightweight BitTorrent clients (in GUI, CLI
 and daemon form). All its incarnations feature a very simple, intuitive 
 interface on top on an efficient, cross-platform back-end.
 .
 This package contains a (deprecated) stand-alone command-line client,
 transmission-remote to interface with transmission-daemon and tools to
 create, edit and inspect torrent files.

Package: transmission-gtk
Architecture: any
Depends: ${shlibs:Depends}, transmission-common (= ${source:Version}), ${misc:Depends}
Recommends: xdg-utils
Description: lightweight BitTorrent client (GTK interface)
 Transmission is a set of lightweight BitTorrent clients (in GUI, CLI
 and daemon form). All its incarnations feature a very simple, intuitive 
 interface on top on an efficient, cross-platform back-end.
 .
 This package contains the GTK stand-alone client.

#Package: transmission-qt
#Architecture: any
#Depends: ${shlibs:Depends}, transmission-common (= ${source:Version}), ${misc:Depends}
#Recommends: xdg-utils
#Description: lightweight BitTorrent client (Qt interface)
# Transmission is a set of lightweight BitTorrent clients (in GUI, CLI
# and daemon form). All its incarnations feature a very simple, intuitive 
# interface on top on an efficient, cross-platform back-end.
# .
# This package contains the Qt stand-alone client.

Package: transmission-daemon
Architecture: any
Pre-Depends: adduser
Depends: ${shlibs:Depends}, transmission-common (= ${source:Version}), lsb-base (>= 3.0), ${misc:Depends}
Replaces: transmission-cli (<< 1.40-1)
Breaks: transmission-cli (<< 1.40-1)
# moving transmission-remote to -cli
Recommends: transmission-cli (>= 1.50-1)
Description: lightweight BitTorrent client (daemon)
 Transmission is a set of lightweight BitTorrent clients (in GUI, CLI
 and daemon form). All its incarnations feature a very simple, intuitive
 interface on top on an efficient, cross-platform back-end.
 .
 This package contains the transmission-daemon. For the associated
 transmission-remote, see the package transmission-cli.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
LDFLAGS=-Wl,--as-needed,--no-undefined,--no-add-needed

%:
	dh $@ --with autotools-dev --with autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-cli --enable-daemon
	# qt client has a separate build-system
	# dh_auto_configure -Dqt

override_dh_auto_build:
	dh_auto_build
	#dh_auto_build -Dqt
	#(cd qt && lrelease qtr.pro)

override_dh_installchangelogs:
	dh_installchangelogs -p transmission-common NEWS
override_dh_installdocs:
	dh_installdocs -p transmission-common
override_dh_installexamples:
	dh_installexamples -p transmission-common

override_dh_install:
	dh_install --list-missing -X LICENSE # extra copy in web dir - costela 2008-08-15

override_dh_auto_install:
	dh_auto_install
	#dh_auto_install -Dqt -- INSTALL_ROOT=$(CURDIR)/debian/tmp/usr

override_dh_strip:
	dh_strip --dbg-package=transmission-dbg

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/
http://download.transmissionbt.com/files/transmission-([\d\.]+)\.tar\.xz debian uupdate
